Package ghidra.trace.database.map

# Class AbstractDBTracePropertyMap.SaveableDBFieldCodec

java.lang.Object
ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec<Saveable,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?>,BinaryField>
ghidra.trace.database.map.AbstractDBTracePropertyMap.SaveableDBFieldCodec

All Implemented Interfaces:
  `DBCachedObjectStoreFactory.DBFieldCodec<Saveable,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?>,BinaryField>`

Enclosing class:
  `AbstractDBTracePropertyMap<T,DR extends DBTraceAddressSnapRangePropertyMapTree.AbstractDBTraceAddressSnapRangePropertyMapData<T>>`

public static class AbstractDBTracePropertyMap.SaveableDBFieldCodec extends DBCachedObjectStoreFactory.AbstractDBFieldCodec<Saveable,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?>,BinaryField>

- ## Field Summary

  ### Fields inherited from class ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec

  `column, field, fieldType, objectType, valueType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SaveableDBFieldCodec(Class<AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?>> objectType, Field field, int column)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doLoad(AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?> obj, DBRecord record)`
  Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.load(DBAnnotatedObject, DBRecord)`, but permits exceptions
  `protected void`
  `doStore(AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?> obj, DBRecord record)`
  Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.store(DBAnnotatedObject, DBRecord)`, but permits exceptions
  `void`
  `store(Saveable value, BinaryField f)`
  Encode the given field value into the given field

  ### Methods inherited from class ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec

  `getFieldType, getObjectType, getValue, getValueType, load, setValue, store`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.util.database.DBCachedObjectStoreFactory.DBFieldCodec

  `encodeField`

- ## Constructor Details

  - ### SaveableDBFieldCodec

    public SaveableDBFieldCodec(Class<AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?>> objectType, Field field, int column)

- ## Method Details

  - ### store

    public void store(Saveable value, BinaryField f)
    Description copied from interface: `DBCachedObjectStoreFactory.DBFieldCodec`
    Encode the given field value into the given field
    Parameters:
      `value` - the value
      `f` - the field

  - ### doStore

    protected void doStore(AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?> obj, DBRecord record) throws IllegalArgumentException, IllegalAccessException
    Description copied from class: `DBCachedObjectStoreFactory.AbstractDBFieldCodec`
    Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.store(DBAnnotatedObject, DBRecord)`, but permits exceptions
    Specified by:
      `doStore` in class `DBCachedObjectStoreFactory.AbstractDBFieldCodec<Saveable,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?>,BinaryField>`
    Throws:
      `IllegalArgumentException`
      `IllegalAccessException`

  - ### doLoad

    protected void doLoad(AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?> obj, DBRecord record) throws IllegalArgumentException, IllegalAccessException
    Description copied from class: `DBCachedObjectStoreFactory.AbstractDBFieldCodec`
    Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.load(DBAnnotatedObject, DBRecord)`, but permits exceptions
    Specified by:
      `doLoad` in class `DBCachedObjectStoreFactory.AbstractDBFieldCodec<Saveable,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<?>,BinaryField>`
    Throws:
      `IllegalArgumentException`
      `IllegalAccessException`